package jrummikub.model;

/**
 * Interface for {@link Player} model
 */
public interface IPlayer {

	/**
	 * Get the current hand of the player
	 * 
	 * @return the player's hand
	 */
	public IHand getHand();

	/**
	 * Has the player laid out yet?
	 * 
	 * @return if the player has laid out
	 */
	public boolean getLaidOut();

	/**
	 * Returns the player settings
	 * 
	 * @return the player settings
	 */
	public PlayerSettings getPlayerSettings();

	/**
	 * Set if the player laid out
	 * 
	 */
	void setLaidOut(boolean laidOut);
}